package com.redxun.knowledge.analysis.mapper;


import com.redxun.knowledge.analysis.entity.vo.SearchParticipleWordCloudVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 文件名: CommonMapper
 * 作者: zizg
 * 时间: 2023/3/17
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Mapper
public interface AnalysisCommonMapper {

    /**
     * PC知识仓库统计(审核通过的知识数量)
     * @return
     */
    Integer knowledgeTotalAmount();

    /**
     * PC地图数量统计
     * @return
     */
    Integer mapTotalAmount();

    /**
     * PC专辑数量统计
     * @return
     */
    Integer albumTotalAmount();


    /**
     * 根据类型查看知识数量(1 文档知识 2 维基知识)
     * @param type
     * @return
     */
    Integer knowledgeTotalByType(Integer type);

    /**
     * 获取搜索服务分词的词云数据
     * @param tops
     * @return
     */
    List<SearchParticipleWordCloudVo> searchParticipleWordCloud(Integer tops);
}
